Oracle Coherence for C++ API
Release 3.6.1.0
E18813-01

- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ServiceEvent Class Reference

`#include <coherence/util/ServiceEvent.hpp>`

Inherits Event.

List of all members.

## Detailed Description

An event which indicates that a Service state has changed:.

- a service is starting
- a service has started
- a service is stopping
- a service has stopped

A ServiceEvent object is sent as an argument to the ServiceListener interface methods.

See also:
  Service

  ServiceListener

Author:
  jh 2007.12.13

## Public Types
typedef spec::Handle | Handle
| ServiceEvent Handle definition.
typedef spec::View | View
| ServiceEvent View definition.
typedef spec::Holder | Holder
| ServiceEvent Holder definition.
typedef TypedHandle < Service > | ServiceHandle
| Service Handle definition.
typedef TypedHandle < const Service > | ServiceView
| Service View definition.
## Public Member Functions
virtual void | dispatch (Listeners::View vListeners) const
| Dispatch this event to the specified listeners collection.
virtual void | toStream (std::ostream &out) const
| Output a human-readable description of this Object to the given stream. coherence::lang::operator<<(std::ostream, Object::View) is defined and will call into the toStream method, to output Objects. If a managed String object is desired, the COH_TO_STRING macro can be used to build up a String from streamable contents.
     Object::View vKey   = ...
     Object::View vValue = ...
     std::cout << vKey << " = " << vValue << std::endl;

     String::Handle hs = COH_TO_STRING(vKey << " = " << vValue);
  Parameters:
  | out | the stream used to output the description
virtual Id | getId () const
| Return this event's ID.
virtual ServiceView | getService () const
| Return the Service that fired the event.
## Protected Member Functions
| ServiceEvent (ServiceView vService, Id identity)
| Create a new ServiceEvent instance.
## Protected Attributes
Id | m_id
| The event's ID.

## Constructor & Destructor Documentation

ServiceEvent | ( | ServiceView | vService,
|  | Id | identity |
| ) |  |  | `[protected]`

Create a new ServiceEvent instance.

Parameters:

  | vService | the Service that fired the event
  | identity | the event's ID, one of the Id enum values

## Member Function Documentation

virtual void dispatch | ( | Listeners::View | vListeners | ) | const`[virtual]`

Dispatch this event to the specified listeners collection.

Parameters:

  | vListeners | the listeners collection

Exceptions:

  | ClassCastException | if any of the targets is not an instance of the ServiceListener interface

virtual Id getId | ( |  | ) | const`[virtual]`

Return this event's ID.

Returns:
  the event ID, one of the Id enum values

virtual ServiceView getService | ( |  | ) | const`[virtual]`

Return the Service that fired the event.

Returns:
  the Service

The documentation for this class was generated from the following file:

- coherence/util/ServiceEvent.hpp

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.